
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des agences</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/Dashborddocument']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Admin
                </li>
                <li class="breadcrumb-item active">Liste des agences
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
        <a class=" modal-trigger" href="#modal1">
            <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
               <i class="material-icons right">add</i>
             </button>
             </a>
             <br/>
             <br/>
        <h4 class="card-title"></h4>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom agence</th>
                  <th>Tel</th>
                  <th>Ville</th>
                  <th>adresse postale</th>

                  <th>Username</th>
                  <th>email</th>
                  <th>statut</th>
               
                  
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let a of agences; index as i;">
                 
                 
                  <td> {{a.nom}}</td>
                  <td> {{a.tel}}</td>
                  <td> {{a.ville}}</td>
                  <td> {{a.adressepostale}}</td>
                  
                 
                  <ng-container *ngFor="let u of users;">
                    <ng-container *ngIf=" u.id === a.Userid">
                        <td> {{u.username}}</td>
                        <td> {{u.email}}</td>
                        <td> 
                            <div *ngIf="u.active == null ; else elseBlock">
                                <div class="chip gradient-45deg-purple-deep-orange gradient-shadow white-text">
                                  Désactive
                                </div>
                                
                               
                              
                              </div>
                              <ng-template #elseBlock>
                                <div class="chip cyan white-text z-depth-4">
                                  Active
                              </div>
                                
                              </ng-template>

                        </td>


                        

                    </ng-container>
                  </ng-container>
                  <td> 
                    <a class="dropdown-trigger" href="#" [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                        <ng-container *ngFor="let u of users;">
                            <ng-container *ngIf=" u.id === a.Userid">
                        <li *ngIf="u.active == null"><a class="modal-trigger"  (click)="active(u,u.id)" > Active</a></li>
                        <li *ngIf="u.active != null"><a class="modal-trigger" (click)="desactive(u,u.id)" > Desactive</a></li>
                    </ng-container>
                </ng-container>
                        <li ><a class="modal-trigger" (click)="delete(a.id)" > Supprimer</a></li>
                    </ul>
                    </td>
                  
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  </div>
  
  

  <div id="modal1" class="modal modal-fixed-footer" style="width: 50%; height: 70%;">
    <form  class="login-form" #f="ngForm" (ngSubmit)="save(f.value)"  novalidate="novalidate">
      <div class="modal-content">
        <h4>Ajouter agence</h4>
        <br>
        <div class="card-alert card gradient-45deg-amber-amber"  *ngIf="f.submitted && IsFormNonValid">
            <div class="card-content white-text">
              <p>
                <i class="material-icons">warning</i>Username ou Émail déjà utilise</p>
            </div>
            <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
     
        
          <div class="input-field col s6">
            <input  class="validate" type="email" name="email" #email="ngModel" [(ngModel)]="user.email"   required>
            <label for="name2">Email*</label>
          </div>
          <div class="input-field col s6">
            
            <input class="validate" type="text" name="username" #username="ngModel" [(ngModel)]="user.username" required> 
            <label for="name2">username*</label>
          </div>
          <div class="input-field col s6">
            <input class="validate" type="password" name="password" #password="ngModel" [(ngModel)]="user.password" required>
            <label for="name2">Password*</label>
          </div>
          <div class="input-field col s6">
            <input  class="validate" type="text" name="nom" #nom="ngModel" [(ngModel)]="user.nom" required>
            <label for="name2">Nom agence*</label>
          </div>
          <div class="input-field col s6">
            <input  class="validate" type="text" name="tel" #tel="ngModel" [(ngModel)]="user.tel" required>
            <label for="name2">Tel*</label>
          </div>
          <div class="input-field col s6">
            <input  class="validate" type="text" name="adressepostale" #adressepostale="ngModel" [(ngModel)]="user.adressepostale" required>
            <label for="name2">Adresse postale*</label>
          </div>
          <div class="input-field col s6">
            <input  type="text" class="validate" name="ville" #ville="ngModel" [(ngModel)]="user.ville" required>
            <label for="name2">Ville*</label>
          </div>
          <div class="input-field col s6">
            <input   type="text" class="validate" name="tva" #tva="ngModel" [(ngModel)]="user.tva" required>
            <label for="name2">Numero Tva*</label>
          </div>
          <div class="input-field col s6">
            <input  class="validate"  type="text" name="compteboncaire" #compteboncaire="ngModel" [(ngModel)]="user.compteboncaire" required>
            <label for="name2">Compte Bancaire*</label>
          </div>
        
         
         
         </div>
      
      <div class="modal-footer">
         <button [disabled]="f.invalid"   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
    </form>
  </div>
  